%--------------------------------------------------------------------------
% File     : BOO009-4 : TPTP v3.3.0. Released v1.1.0.
% Domain   : Boolean Algebra
% Problem  : Multiplication absorption (X * (X + Y) = X)
% Version  : [Ver94] (equality) axioms.
% English  : 

% Refs     : [Ver94] Veroff (1994), Problem Set
% Source   : [Ver94]
% Names    : TC [Ver94]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   9 unit;   1 RR)
%            Number of atoms       :    9 (   9 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_operation,negated_conjecture,
    (  multiply(a,add(a,b)) != a )).

%--------------------------------------------------------------------------
