%------------------------------------------------------------------------------
% File     : COM009-2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Computing Theory
% Problem  : Problem about UNITY theory
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.08 v3.3.0, 0.14 v3.2.0
% Syntax   : Number of clauses     :    4 (   1 non-Horn;   1 unit;   3 RR)
%            Number of atoms       :    7 (   3 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :    6 (   4 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( c_UNITY_Ototalize(v_F,t_a) != v_F
    | ~ c_UNITY_Oall__total(v_F,t_a) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( c_UNITY_Oall__total(v_F,t_a)
    | c_UNITY_Ototalize(v_F,t_a) = v_F )).

cnf(cls_UNITY_Oall__total__imp__totalize_0,axiom,
    ( ~ c_UNITY_Oall__total(V_F,T_a)
    | c_UNITY_Ototalize(V_F,T_a) = V_F )).

cnf(cls_UNITY_Oall__total__totalize_0,axiom,
    ( c_UNITY_Oall__total(c_UNITY_Ototalize(V_F,T_a),T_a) )).

%------------------------------------------------------------------------------
