%--------------------------------------------------------------------------
% File     : GEO036-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : The 3 axiom set points are distinct
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.33 v3.3.0, 0.29 v3.2.0, 0.23 v3.1.0, 0.27 v2.7.0, 0.25 v2.6.0, 0.30 v2.5.0, 0.25 v2.4.0, 0.11 v2.3.0, 0.22 v2.2.1, 0.22 v2.2.0, 0.33 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses     :   19 (   6 non-Horn;   6 unit;  16 RR)
%            Number of atoms       :   59 (  10 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :    8 (   3 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(prove_axioms_points_are_distinct,negated_conjecture,
    ( lower_dimension_point_1 = lower_dimension_point_2
    | lower_dimension_point_2 = lower_dimension_point_3
    | lower_dimension_point_1 = lower_dimension_point_3 )).

%--------------------------------------------------------------------------
