%--------------------------------------------------------------------------
% File     : GEO098-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : For closed curves, there are two complementary sub-curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :   53 (  21 non-Horn;   5 unit;  48 RR)
%            Number of atoms       :  161 (  23 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   17 (   3 constant; 0-3 arity)
%            Number of variables   :  128 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO098+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(theorem_2_16_67,negated_conjecture,
    ( closed(sk14) )).

cnf(theorem_2_16_68,negated_conjecture,
    ( incident_c(sk15,sk14) )).

cnf(theorem_2_16_69,negated_conjecture,
    ( incident_c(sk16,sk14) )).

cnf(theorem_2_16_70,negated_conjecture,
    (  sk15 != sk16 )).

cnf(theorem_2_16_71,negated_conjecture,
    ( ~ meet(sk15,A,B)
    | ~ meet(sk16,A,B)
    | sk14 != sum(A,B) )).

%--------------------------------------------------------------------------
