%------------------------------------------------------------------------------
% File     : GEO171+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Uniqueness of constructed lines
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : 

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   13 (   3 unit)
%            Number of atoms       :   36 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   26 (   3 ~  ;   9  |;   2  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   32 (   0 singleton;  32 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Shortened axioms Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y] : 
      ( convergent_lines(X,Y)
     => distinct_lines(X,Y) ) )).

%------------------------------------------------------------------------------
