%------------------------------------------------------------------------------
% File     : GEO216+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : A line is not orthogonal to itself
% Version  : [vPl95] axioms : Especial.
% English  : 

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Theorem 8.7.o [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   18 (   4 unit)
%            Number of atoms       :   47 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   50 (  21 ~  ;  12  |;   4  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   42 (   0 singleton;  42 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+4.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L] : ~ ~ not_orthogonal_through_point(L,L) )).

%------------------------------------------------------------------------------
