%------------------------------------------------------------------------------
% File     : GEO216+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : A line is not orthogonal to itself
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : A Line is not orthogonal to itself.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [P95] J. von Plato. The Axioms of Constructive Geometry. Annals
%                  of Pure and Applied Logic 76 (2): 169-200, 1995.
% Source   : [P95]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   16 (   4 unit)
%            Number of atoms       :   46 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   47 (  17 ~  ;  12  |;   5  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   39 (   0 singleton;  39 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :  Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
include('Axioms/GEO006+4.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L] : ~ ~ not_orthogonal_through_point(L,L) )).

%------------------------------------------------------------------------------
