%------------------------------------------------------------------------------
% File     : GEO231+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Oppositely and equally directed lines
% Version  : [vPl98] axioms : Especial.
% English  : 

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl98] von Plato (1998), A Constructive Theory of Ordered Aff
% Source   : [ILTP]
% Names    : Therorem 3.5 [vPl98]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   32 (   7 unit)
%            Number of atoms       :  103 (   0 equality)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   90 (  19 ~  ;  24  |;  25  &)
%                                         (   5 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   12 (   0 propositional; 1-4 arity)
%            Number of functors    :    4 (   0 constant; 1-2 arity)
%            Number of variables   :   74 (   0 singleton;  74 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO007+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L,M,N] : 
      ( ( ~ unequally_directed_lines(L,reverse_line(M))
        & ~ unequally_directed_lines(L,N) )
     => ~ unequally_directed_lines(M,reverse_line(N)) ) )).

%------------------------------------------------------------------------------
