%--------------------------------------------------------------------------
% File     : GRP451-1 : TPTP v3.3.0. Released v2.6.0.
% Domain   : Group Theory
% Problem  : Axiom for group theory, in division, part 1
% Version  : [McC93] (equality) axioms.
% English  : 

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   4 unit;   1 RR)
%            Number of atoms       :    4 (   4 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :    8 (   0 singleton)
%            Maximal term depth    :    8 (   3 average)

% Comments : A UEQ part of GRP065-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(divide(divide(A,A),divide(A,divide(B,divide(divide(divide(A,A),A),C)))),C) = B )).

cnf(multiply,axiom,
    ( multiply(A,B) = divide(A,divide(divide(C,C),B)) )).

cnf(inverse,axiom,
    ( inverse(A) = divide(divide(B,B),A) )).

cnf(prove_these_axioms_1,negated_conjecture,
    (  multiply(inverse(a1),a1) != multiply(inverse(b1),b1) )).

%--------------------------------------------------------------------------
