%--------------------------------------------------------------------------
% File     : GRP478-1 : TPTP v3.3.0. Released v2.6.0.
% Domain   : Group Theory
% Problem  : Axiom for group theory, in division and inverse, part 1
% Version  : [McC93] (equality) axioms.
% English  : 

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.25 v3.3.0, 0.21 v3.2.0, 0.14 v3.1.0, 0.11 v2.7.0, 0.09 v2.6.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :    6 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : A UEQ part of GRP074-1
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(inverse(divide(divide(divide(A,A),B),divide(C,divide(B,D)))),D) = C )).

cnf(multiply,axiom,
    ( multiply(A,B) = divide(A,inverse(B)) )).

cnf(prove_these_axioms_1,negated_conjecture,
    (  multiply(inverse(a1),a1) != multiply(inverse(b1),b1) )).

%--------------------------------------------------------------------------
