%--------------------------------------------------------------------------
% File     : HEN002-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : zero/X = zero
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp2.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;   4 unit;   7 RR)
%            Number of atoms       :   22 (   2 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :   25 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
cnf(prove_zero_divide_anything_is_zero,negated_conjecture,
    ( ~ quotient(zero,x,zero) )).

%--------------------------------------------------------------------------
