%--------------------------------------------------------------------------
% File     : HEN002-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : zero/X = zero
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : H2 [MOW76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   5 unit;   7 RR)
%            Number of atoms       :   23 (   2 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :   26 (   4 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
%----McCharen uses this earlier result too. I don't 
cnf(everything_divide_identity_is_zero,axiom,
    ( quotient(X,identity,zero) )).

cnf(prove_zero_divide_anything_is_zero,negated_conjecture,
    ( ~ quotient(zero,x,zero) )).

%--------------------------------------------------------------------------
