%--------------------------------------------------------------------------
% File     : HEN005-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : The relation less_equal is transitive
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : H5 [MOW76]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.3.0, 0.17 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.40 v2.0.0
% Syntax   : Number of clauses     :   16 (   0 non-Horn;  10 unit;   9 RR)
%            Number of atoms       :   28 (   2 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   29 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
%----McCharen uses these earlier results too. I don't 
cnf(everything_divide_identity_is_zero,axiom,
    ( quotient(X,identity,zero) )).

cnf(zero_divide_anything_is_zero,axiom,
    ( quotient(zero,X,zero) )).

cnf(x_divide_x_is_zero,axiom,
    ( quotient(X,X,zero) )).

cnf(x_divde_zero_is_x,axiom,
    ( quotient(X,zero,X) )).

cnf(xLEy,hypothesis,
    ( less_equal(x,y) )).

cnf(yLEz,hypothesis,
    ( less_equal(y,z) )).

cnf(prove_transitivity_of_less_equal,negated_conjecture,
    ( ~ less_equal(x,z) )).

%--------------------------------------------------------------------------
