%------------------------------------------------------------------------------
% File     : LAT143-1 : TPTP v3.3.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H24 implies H15
% Version  : [McC05] (equality) axioms : Especial.
% English  : 

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.25 v3.3.0, 0.21 v3.2.0, 0.14 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H24,axiom,
    ( join(meet(X,Y),meet(Y,Z)) = join(meet(X,Y),meet(Y,join(meet(X,Y),meet(Z,join(X,Y))))) )).

cnf(prove_H15,negated_conjecture,
    (  meet(a,join(meet(a,b),meet(a,c))) != meet(a,join(meet(a,b),join(meet(a,c),meet(c,join(a,b))))) )).

%------------------------------------------------------------------------------
