%--------------------------------------------------------------------------
% File     : LCL413-1 : TPTP v3.3.0. Released v2.5.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Propositional logic deduction axioms for EQUIVALENT
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.50 v3.3.0, 0.00 v3.2.0, 0.60 v3.1.0, 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;   8 unit;   2 RR)
%            Number of atoms       :   13 (   3 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :   20 (   1 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Propositional logic deduction axioms
include('Axioms/LCL004-0.ax').
%----Include Propositional logic deduction axioms for AND
include('Axioms/LCL004-1.ax').
%----Include Propositional logic deduction axioms for EQUIVALENT
include('Axioms/LCL004-2.ax').
%--------------------------------------------------------------------------
