%------------------------------------------------------------------------------
% File     : LCL569+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Logic Calculi (Propositional modal)
% Problem  : Prove axiom m10 from the S1-0M6S3M9B axiomatization of S5
% Version  : [Zem73] axioms.
% English  :

% Refs     : [Zem73] Zeman (1973), Modal Logic, the Lewis-Modal systems
%          : [Hal]   Halleck (URL), John Halleck's Logic Systems
% Source   : [TPTP]
% Names    : 

% Status   : Theorem
% Rating   : 1.00 v3.3.0
% Syntax   : Number of formulae    :   51 (  19 unit)
%            Number of atoms       :   89 (  10 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   38 (   0 ~  ;   0  |;   2  &)
%                                         (  23 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  34 propositional; 0-2 arity)
%            Number of functors    :    9 (   0 constant; 1-2 arity)
%            Number of variables   :   55 (   0 singleton;  55 !;   0 ?)
%            Maximal term depth    :    5 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms of propositional logic
include('Axioms/LCL006+1.ax').
%----Include axioms of modal logic
include('Axioms/LCL007+0.ax').
include('Axioms/LCL007+1.ax').
%----Include axioms for S1-0
include('Axioms/LCL007+4.ax').
%----Include axioms for M6S3M9B
include('Axioms/LCL007+5.ax').
%------------------------------------------------------------------------------
fof(s1_0_m10_axiom_m10,conjecture,axiom_m10).

%------------------------------------------------------------------------------
