%--------------------------------------------------------------------------
% File     : NUM018-1 : TPTP v3.3.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : There is an infinite number of twin prime numbers
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 245 [BL+86]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :  220 (  59 non-Horn;  12 unit; 190 RR)
%            Number of atoms       :  637 (  75 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-5 arity)
%            Number of functors    :   91 (  12 constant; 0-5 arity)
%            Number of variables   :  484 (  32 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----axioms 
%--------------------------------------------------------------------------
cnf(prove_infinite_number_of_twin_primes,negated_conjecture,
    ( finite(twin_prime_numbers) )).

%--------------------------------------------------------------------------
