%------------------------------------------------------------------------------
% File     : PUZ071-1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Puzzles (Sudoku)
% Problem  : Thursday's Sudoku
% Version  : [Bau06] axioms : Especial.
% English  : 45  8     
%                   71
%             2     
%              16   3 
%            5   4 2  
%                   
%            2     8  
%               1 3 

% Refs     : [Bau06] Baumgartner (2006), Email to G. Sutcliffe
% Source   : [Bau06]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.50 v3.3.0, 0.33 v3.2.0
% Syntax   : Number of clauses     :   96 (   4 non-Horn;  71 unit;  96 RR)
%            Number of atoms       :  178 (  39 equality)
%            Maximal clause size   :   11 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    2 (   1 constant; 0-1 arity)
%            Number of variables   :   75 (   0 singleton)
%            Maximal term depth    :   10 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
include('Axioms/PUZ005-0.ax').
%------------------------------------------------------------------------------
cnf(unknown,hypothesis,
    ( el(s(n0),s(n0),s(s(s(s(n0))))) )).

cnf(unknown,hypothesis,
    ( el(s(n0),s(s(n0)),s(s(s(s(s(n0)))))) )).

cnf(unknown,hypothesis,
    ( el(s(n0),s(s(s(s(s(n0))))),s(s(s(s(s(s(s(s(n0))))))))) )).

cnf(unknown,hypothesis,
    ( el(s(s(n0)),s(s(s(s(s(s(s(s(n0)))))))),s(s(s(s(s(s(s(n0)))))))) )).

cnf(unknown,hypothesis,
    ( el(s(s(n0)),s(s(s(s(s(s(s(s(s(n0))))))))),s(n0)) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(n0))),s(s(n0)),s(s(n0))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(n0)))),s(s(s(n0))),s(n0)) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(n0)))),s(s(s(s(n0)))),s(s(s(s(s(s(n0))))))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(n0)))),s(s(s(s(s(s(s(s(n0)))))))),s(s(s(n0)))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(n0))))),s(n0),s(s(s(s(s(n0)))))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(n0))))),s(s(s(s(s(n0))))),s(s(s(s(n0))))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(n0))))),s(s(s(s(s(s(s(n0))))))),s(s(n0))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(s(s(n0))))))),s(n0),s(s(n0))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(s(s(n0))))))),s(s(s(s(s(s(s(n0))))))),s(s(s(s(s(s(s(s(n0))))))))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(s(s(s(n0)))))))),s(s(s(s(n0)))),s(n0)) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(s(s(s(n0)))))))),s(s(s(s(s(s(n0)))))),s(s(s(n0)))) )).

cnf(unknown,hypothesis,
    ( el(s(s(s(s(s(s(s(s(s(n0))))))))),s(s(s(s(n0)))),s(s(s(s(s(s(s(n0)))))))) )).

%------------------------------------------------------------------------------
