%--------------------------------------------------------------------------
% File     : SET018-4 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Second components of equal ordered pairs are equal
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 3 [BL+86]

% Status   : Unsatisfiable
% Rating   : 0.83 v3.3.0, 0.86 v3.2.0, 0.92 v3.1.0, 0.91 v2.7.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :  147 (  20 non-Horn;  17 unit; 124 RR)
%            Number of atoms       :  361 (  49 equality)
%            Maximal clause size   :    8 (   2 average)
%            Number of predicates  :   14 (   0 propositional; 1-5 arity)
%            Number of functors    :   63 (  10 constant; 0-5 arity)
%            Number of variables   :  320 (  28 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%--------------------------------------------------------------------------
cnf(a_little_set,hypothesis,
    ( little_set(a) )).

cnf(b_little_set,hypothesis,
    ( little_set(b) )).

cnf(c_little_set,hypothesis,
    ( little_set(c) )).

cnf(d_little_set,hypothesis,
    ( little_set(d) )).

cnf(equal_ordered_pair,hypothesis,
    ( ordered_pair(a,b) = ordered_pair(c,d) )).

cnf(prove_second_components_equal,negated_conjecture,
    (  b != d )).

%--------------------------------------------------------------------------
