%------------------------------------------------------------------------------
% File     : SET811+4 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Set Theory (Order relations)
% Problem  : A member of an ordinal number is an initial segment 
% Version  : [Pas05] axioms.
% English  :

% Refs     : [Pas05] Pastre (2005), Email to G. Sutcliffe
% Source   : [Pas05]
% Names    :

% Status   : Theorem
% Rating   : 0.89 v3.3.0, 0.86 v3.2.0
% Syntax   : Number of formulae    :   20 (   1 unit)
%            Number of atoms       :   68 (   4 equality)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   51 (   3 ~  ;   3  |;  16  &)
%                                         (  17 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 1-3 arity)
%            Number of functors    :   13 (   3 constant; 0-3 arity)
%            Number of variables   :   58 (   0 singleton;  55 !;   3 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%------------------------------------------------------------------------------
%----Include set theory definitions
include('Axioms/SET006+0.ax').
%----Include ordinal numbers axioms
include('Axioms/SET006+4.ax').
%------------------------------------------------------------------------------
fof(thV5,conjecture,(
    ! [A] : 
      ( member(A,on)
     => ! [X] : 
          ( member(X,A)
         => equal_set(X,initial_segment(X,member_predicate,A)) ) ) )).

%------------------------------------------------------------------------------
