%------------------------------------------------------------------------------
% File     : SET947+1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Set theory
% Problem  : Basic properties of sets, theorem  Basic properties of sets, theorem 100
% Version  : [Urb06] axioms : Especial.
% English  :

% Refs     : [Byl89] Bylinski (1989), Some Basic Properties of Sets
%            [Urb06] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb06]
% Names    : zfmisc_1__t100_zfmisc_1 [Urb06]

% Status   : Theorem
% Rating   : 0.11 v3.3.0, 0.14 v3.2.0
% Syntax   : Number of formulae    :    8 (   4 unit)
%            Number of atoms       :   14 (   1 equality)
%            Maximal formula depth :    6 (   4 average)
%            Number of connectives :    8 (   2 ~  ;   0  |;   0  &)
%                                         (   3 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :   15 (   1 singleton;  13 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar 
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(d1_zfmisc_1,axiom,(
    ! [A,B] : 
      ( B = powerset(A)
    <=> ! [C] : 
          ( in(C,B)
        <=> subset(C,A) ) ) )).

fof(d3_tarski,axiom,(
    ! [A,B] : 
      ( subset(A,B)
    <=> ! [C] : 
          ( in(C,A)
         => in(C,B) ) ) )).

fof(l50_zfmisc_1,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => subset(A,union(B)) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(t100_zfmisc_1,conjecture,(
    ! [A] : subset(A,powerset(union(A))) )).
%------------------------------------------------------------------------------
