%------------------------------------------------------------------------------
% File     : SEU280+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Set theory
% Problem  : MPTP bushy problem s1_xboole_0__e6_22__wellord2
% Version  : [Urb07] axioms : Especial.
% English  :

% Refs     : [Ban01] Bancerek et al. (2001), On the Characterizations of Co
%            [Urb07] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb07]
% Names    : bushy-s1_xboole_0__e6_22__wellord2 [Urb07]

% Status   : Theorem
% Rating   : 0.08 v3.3.0
% Syntax   : Number of formulae    :    6 (   0 unit)
%            Number of atoms       :   23 (   4 equality)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :   18 (   1 ~  ;   0  |;  10  &)
%                                         (   2 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   15 (   0 singleton;  11 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(s1_xboole_0__e6_22__wellord2,conjecture,(
    ! [A] : 
    ? [B] : 
    ! [C] : 
      ( in(C,B)
    <=> ( in(C,A)
        & ordinal(C) ) ) )).

fof(cc2_ordinal1,axiom,(
    ! [A] : 
      ( ( epsilon_transitive(A)
        & epsilon_connected(A) )
     => ordinal(A) ) )).

fof(rc1_ordinal1,axiom,(
    ? [A] : 
      ( epsilon_transitive(A)
      & epsilon_connected(A)
      & ordinal(A) ) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(cc1_ordinal1,axiom,(
    ! [A] : 
      ( ordinal(A)
     => ( epsilon_transitive(A)
        & epsilon_connected(A) ) ) )).

fof(s1_tarski__e6_22__wellord2__1,axiom,(
    ! [A] : 
      ( ! [B,C,D] : 
          ( ( B = C
            & ordinal(C)
            & B = D
            & ordinal(D) )
         => C = D )
     => ? [B] : 
        ! [C] : 
          ( in(C,B)
        <=> ? [D] : 
              ( in(D,A)
              & D = C
              & ordinal(C) ) ) ) )).

%------------------------------------------------------------------------------
