%--------------------------------------------------------------------------
% File     : SWV008-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Software Verification
% Problem  : E7
% Version  : Especial.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SETHEO]
% Names    : E7 [MOW76]
%          : v7.lop [SETHEO]

% Status   : Unsatisfiable
% Rating   : 0.08 v3.3.0, 0.14 v3.2.0, 0.23 v3.1.0, 0.09 v2.7.0, 0.17 v2.6.0, 0.20 v2.5.0, 0.42 v2.4.0, 0.33 v2.2.1, 0.33 v2.2.0, 0.56 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   17 (   2 non-Horn;   8 unit;  12 RR)
%            Number of atoms       :   33 (   9 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-1 arity)
%            Number of variables   :   24 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : This problem was contributed to [MOW76] in private
%            correspondance from G. Ernst. The axioms are incomplete.
%--------------------------------------------------------------------------
%----Include axioms for this program verification 
include('Axioms/SWV001-0.ax').
%--------------------------------------------------------------------------
cnf(clause_1,negated_conjecture,
    ( ~ less_than(n,l) )).

cnf(clause_2,negated_conjecture,
    ( less_than(one,l) )).

cnf(clause_3,negated_conjecture,
    ( less_than(a(l),a(predecessor(l))) )).

cnf(clause_4,negated_conjecture,
    ( less_than(X,n)
    | less_than(n,X)
    | ~ less_than(one,n)
    | ~ less_than(a(X),a(predecessor(n))) )).

cnf(clause_5,negated_conjecture,
    ( ~ less_than(one,X)
    | ~ less_than(X,n)
    | ~ less_than(a(X),a(predecessor(X))) )).

%--------------------------------------------------------------------------
