%--------------------------------------------------------------------------
% File     : SWV414+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: Formula (12)
% Version  : [dNP05] axioms.
% English  : 

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq001 [Pis06]

% Status   : Theorem
% Rating   : 0.16 v3.3.0
% Syntax   : Number of formulae    :   63 (  24 unit)
%            Number of atoms       :  129 (  41 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   82 (  16 ~  ;   4  |;  21  &)
%                                         (  16 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   27 (   5 constant; 0-3 arity)
%            Number of variables   :  164 (   4 singleton; 161 !;   3 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%--------------------------------------------------------------------------
fof(co1,conjecture,(
    ! [U] : i(triple(create_pqp,create_slb,U)) = create_pq )).

%--------------------------------------------------------------------------
