%--------------------------------------------------------------------------
% File     : SWV415+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: Formula (7)
% Version  : [dNP05] axioms.
% English  : 

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq002 [Pis06]

% Status   : Theorem
% Rating   : 0.47 v3.3.0
% Syntax   : Number of formulae    :   64 (  25 unit)
%            Number of atoms       :  130 (  42 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   82 (  16 ~  ;   4  |;  21  &)
%                                         (  16 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   26 (   4 constant; 0-3 arity)
%            Number of variables   :  172 (   4 singleton; 169 !;   3 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%--------------------------------------------------------------------------
fof(main2_l12,lemma,(
    ! [U,V,W,X,Y] : i(triple(U,W,X)) = i(triple(V,W,Y)) )).

fof(co2,conjecture,(
    ! [U,V,W,X] : i(insert_cpq(triple(U,V,W),X)) = insert_pq(i(triple(U,V,W)),X) )).

%--------------------------------------------------------------------------
