%--------------------------------------------------------------------------
% File     : TOP019-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Topology
% Problem  : The closure of a connected set is connected
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 14 [WM89]

% Status   : Satisfiable
% Rating   : 0.50 v3.3.0, 0.67 v3.2.0, 0.60 v3.1.0, 0.71 v2.7.0, 0.60 v2.6.0, 0.75 v2.5.0, 0.50 v2.4.0, 1.00 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :  111 (  23 non-Horn;   2 unit; 106 RR)
%            Number of atoms       :  338 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   38 (   4 constant; 0-5 arity)
%            Number of variables   :  357 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
cnf(problem_14_162,negated_conjecture,
    ( connected_set(a,cx,ct) )).

cnf(problem_14_163,negated_conjecture,
    ( ~ connected_set(closure(a,cx,ct),cx,ct) )).

%--------------------------------------------------------------------------
