%--------------------------------------------------------------------------
% File     : BOO013-4 : TPTP v3.3.0. Released v1.1.0.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [Ver94] (equality) axioms.
% English  : 

% Refs     : [Ver94] Veroff (1994), Problem Set
% Source   : [Ver94]
% Names    : TE [Ver94]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;  11 unit;   3 RR)
%            Number of atoms       :   11 (  11 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
cnf(b_a_multiplicative_identity,hypothesis,
    ( add(a,b) = multiplicative_identity )).

cnf(b_an_additive_identity,hypothesis,
    ( multiply(a,b) = additive_identity )).

cnf(prove_a_inverse_is_b,negated_conjecture,
    (  b != inverse(a) )).

%--------------------------------------------------------------------------
