%--------------------------------------------------------------------------
% File     : CAT011-3 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : domain(domain(x)) = domain(x)
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p11.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.17 v3.3.0, 0.21 v3.2.0, 0.23 v3.1.0, 0.27 v2.7.0, 0.25 v2.6.0, 0.30 v2.5.0, 0.25 v2.4.0, 0.22 v2.3.0, 0.33 v2.2.1, 0.44 v2.2.0, 0.56 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses     :   19 (   2 non-Horn;   5 unit;  14 RR)
%            Number of atoms       :   39 (  16 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :   31 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
%--------------------------------------------------------------------------
cnf(assume_domain_exists,hypothesis,
    ( there_exists(domain(a)) )).

cnf(prove_domain_is_idempotent,negated_conjecture,
    (  domain(domain(a)) != domain(a) )).

%--------------------------------------------------------------------------
