%--------------------------------------------------------------------------
% File     : CAT016-4 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If x exists, then domain(x) exists
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : 

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   5 unit;  10 RR)
%            Number of atoms       :   23 (   7 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   1 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
%--------------------------------------------------------------------------
cnf(assume_a_exists,hypothesis,
    ( there_exists(a) )).

cnf(prove_domain_of_a_exists,negated_conjecture,
    ( ~ there_exists(domain(a)) )).

%--------------------------------------------------------------------------
