%--------------------------------------------------------------------------
% File     : COL081-2 : TPTP v3.3.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst k(k(X)) = k(k(X))
% Version  : [Jec95] (equality) axioms : Reduced > Incomplete.
% English  : 

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.17 v3.3.0, 0.22 v3.2.0, 0.11 v3.1.0, 0.20 v2.7.0, 0.12 v2.6.0, 0.17 v2.5.0, 0.25 v2.4.0, 0.25 v2.2.1, 0.00 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :    8 (   1 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : Reduced to use only the axioms used in [Jec95].
%--------------------------------------------------------------------------
%----Include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
cnf(k_definition,axiom,
    ( apply(k(X),Y) = X )).

cnf(abstraction,axiom,
    ( apply(apply(apply(abstraction,X),Y),Z) = apply(apply(X,k(Z)),apply(Y,Z)) )).

cnf(extensionality2,axiom,
    ( X = Y
    | apply(X,n(X,Y)) != apply(Y,n(X,Y)) )).

%----Subsitution axioms 
cnf(identity_definition,axiom,
    ( apply(identity,X) = X )).

cnf(prove_TRC2c,negated_conjecture,
    (  k(k(b)) != apply(abstraction,k(k(b))) )).

%--------------------------------------------------------------------------
