%--------------------------------------------------------------------------
% File     : FLD032-3 : TPTP v3.3.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If the multiplicative inverse of a is one, then a is one itself
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.25 v3.3.0, 0.33 v3.1.0, 0.17 v2.7.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses     :   30 (   3 non-Horn;   7 unit;  30 RR)
%            Number of atoms       :   81 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(not_sum_2,negated_conjecture,
    ( ~ sum(additive_identity,a,additive_identity) )).

cnf(product_3,negated_conjecture,
    ( product(multiplicative_identity,multiplicative_inverse(a),multiplicative_identity) )).

cnf(not_product_4,negated_conjecture,
    ( ~ product(multiplicative_identity,a,multiplicative_identity) )).

%--------------------------------------------------------------------------
