%--------------------------------------------------------------------------
% File     : GEO029-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 3 to unique extension
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.42 v3.3.0, 0.50 v3.2.0, 0.46 v3.1.0, 0.64 v2.7.0, 0.50 v2.5.0, 0.67 v2.4.0, 0.67 v2.3.0, 0.78 v2.2.1, 0.89 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   20 (   5 non-Horn;   8 unit;  17 RR)
%            Number of atoms       :   58 (   9 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   10 (   5 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(u_not_v,hypothesis,
    (  u != v )).

cnf(prove_equal_extensions,negated_conjecture,
    (  extension(u,v,u,v) != extension(u,v,v,u) )).

%--------------------------------------------------------------------------
