%------------------------------------------------------------------------------
% File     : GEO261+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Lemma for parallel projection preserves or reverses order
% Version  : [vPl98] axioms : Especial.
% English  : 

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl98] von Plato (1998), A Constructive Theory of Ordered Aff
% Source   : [ILTP]
% Names    : Lemma 6.5 [vPl98]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   32 (   7 unit)
%            Number of atoms       :  104 (   0 equality)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   89 (  17 ~  ;  24  |;  26  &)
%                                         (   5 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   12 (   0 propositional; 1-4 arity)
%            Number of functors    :    4 (   0 constant; 1-2 arity)
%            Number of variables   :   76 (   0 singleton;  76 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO007+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L,M,A,B,C] : 
      ( ( between_on_line(L,A,B,C)
        & convergent_lines(L,M)
        & ~ apart_point_and_line(B,M) )
     => divides_points(M,A,C) ) )).

%------------------------------------------------------------------------------
