%--------------------------------------------------------------------------
% File     : GRP397-1 : TPTP v3.3.0. Released v2.5.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : Cancellative semigroups axioms
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.50 v3.3.0, 0.00 v3.2.0, 0.60 v3.1.0, 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   1 unit;   2 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :    9 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Semigroups axioms
include('Axioms/GRP008-0.ax').
%----Include Cancellative semigroups axioms
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
