%--------------------------------------------------------------------------
% File     : HEN008-3 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => X/Z <= Y/Z
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : HP8 [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   6 unit;   5 RR)
%            Number of atoms       :   13 (   3 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   13 (   3 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
%--------------------------------------------------------------------------
cnf(a_LE_b,hypothesis,
    ( less_equal(a,b) )).

cnf(prove_a_divide_c_LE_b_divide_c,negated_conjecture,
    ( ~ less_equal(divide(a,c),divide(b,c)) )).

%--------------------------------------------------------------------------
