%--------------------------------------------------------------------------
% File     : NUM009-1 : TPTP v3.3.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : Peano axiom 1
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 233 [BL+86]

% Status   : Unsatisfiable
% Rating   : 0.08 v3.3.0, 0.14 v3.2.0, 0.15 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.5.0, 0.18 v2.4.0, 0.12 v2.2.1, 0.00 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses     :  220 (  59 non-Horn;  12 unit; 190 RR)
%            Number of atoms       :  637 (  75 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-5 arity)
%            Number of functors    :   91 (  12 constant; 0-5 arity)
%            Number of variables   :  484 (  32 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----axioms 
%--------------------------------------------------------------------------
cnf(prove_zero_is_a_natural,negated_conjecture,
    ( ~ member(empty_set,natural_numbers) )).

%--------------------------------------------------------------------------
