%------------------------------------------------------------------------------
% File     : NUM377+1.020 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Number Theory
% Problem  : Find assignment in 0-20 to satisfy inequalities, very hard
% Version  : [Cim05] axioms.
% English  : Find an assignment to two variables which are in range, so that 
%            several pairs complex terms are not equal (and they are).

% Refs     : [Cim05] Cimatti (2006), Email to G. Sutcliffe
% Source   : [Cim05]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.67 v3.3.0, 0.33 v3.2.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  795 ( 795 equality)
%            Maximal formula depth :  779 ( 779 average)
%            Number of connectives : 1024 ( 230 ~  ;  59  |; 735  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   24 (  21 constant; 0-2 arity)
%            Number of variables   :   42 (   0 singleton;   0 !;  42 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%------------------------------------------------------------------------------
fof(try_satisfy_this,axiom,(
    ? [X0,Y0,X1,Y1,X2,Y2,X3,Y3,X4,Y4,X5,Y5,X6,Y6,X7,Y7,X8,Y8,X9,Y9,X10,Y10,X11,Y11,X12,Y12,X13,Y13,X14,Y14,X15,Y15,X16,Y16,X17,Y17,X18,Y18,X19,Y19,X20,Y20] : 
      ( succ(n0) = n1
      & succ(n1) = n2
      & succ(n2) = n3
      & succ(n3) = n4
      & succ(n4) = n5
      & succ(n5) = n6
      & succ(n6) = n7
      & succ(n7) = n8
      & succ(n8) = n9
      & succ(n9) = n10
      & succ(n10) = n11
      & succ(n11) = n12
      & succ(n12) = n13
      & succ(n13) = n14
      & succ(n14) = n15
      & succ(n15) = n16
      & succ(n16) = n17
      & succ(n17) = n18
      & succ(n18) = n19
      & succ(n19) = n20
      & succ(n20) = n0
      & pred(n0) = n20
      & pred(n1) = n0
      & pred(n2) = n1
      & pred(n3) = n2
      & pred(n4) = n3
      & pred(n5) = n4
      & pred(n6) = n5
      & pred(n7) = n6
      & pred(n8) = n7
      & pred(n9) = n8
      & pred(n10) = n9
      & pred(n11) = n10
      & pred(n12) = n11
      & pred(n13) = n12
      & pred(n14) = n13
      & pred(n15) = n14
      & pred(n16) = n15
      & pred(n17) = n16
      & pred(n18) = n17
      & pred(n19) = n18
      & pred(n20) = n19
      & sum(n0,n0) = n0
      & sum(n0,n1) = n1
      & sum(n0,n2) = n2
      & sum(n0,n3) = n3
      & sum(n0,n4) = n4
      & sum(n0,n5) = n5
      & sum(n0,n6) = n6
      & sum(n0,n7) = n7
      & sum(n0,n8) = n8
      & sum(n0,n9) = n9
      & sum(n0,n10) = n10
      & sum(n0,n11) = n11
      & sum(n0,n12) = n12
      & sum(n0,n13) = n13
      & sum(n0,n14) = n14
      & sum(n0,n15) = n15
      & sum(n0,n16) = n16
      & sum(n0,n17) = n17
      & sum(n0,n18) = n18
      & sum(n0,n19) = n19
      & sum(n0,n20) = n20
      & sum(n1,n0) = n1
      & sum(n1,n1) = n2
      & sum(n1,n2) = n3
      & sum(n1,n3) = n4
      & sum(n1,n4) = n5
      & sum(n1,n5) = n6
      & sum(n1,n6) = n7
      & sum(n1,n7) = n8
      & sum(n1,n8) = n9
      & sum(n1,n9) = n10
      & sum(n1,n10) = n11
      & sum(n1,n11) = n12
      & sum(n1,n12) = n13
      & sum(n1,n13) = n14
      & sum(n1,n14) = n15
      & sum(n1,n15) = n16
      & sum(n1,n16) = n17
      & sum(n1,n17) = n18
      & sum(n1,n18) = n19
      & sum(n1,n19) = n20
      & sum(n1,n20) = n0
      & sum(n2,n0) = n2
      & sum(n2,n1) = n3
      & sum(n2,n2) = n4
      & sum(n2,n3) = n5
      & sum(n2,n4) = n6
      & sum(n2,n5) = n7
      & sum(n2,n6) = n8
      & sum(n2,n7) = n9
      & sum(n2,n8) = n10
      & sum(n2,n9) = n11
      & sum(n2,n10) = n12
      & sum(n2,n11) = n13
      & sum(n2,n12) = n14
      & sum(n2,n13) = n15
      & sum(n2,n14) = n16
      & sum(n2,n15) = n17
      & sum(n2,n16) = n18
      & sum(n2,n17) = n19
      & sum(n2,n18) = n20
      & sum(n2,n19) = n0
      & sum(n2,n20) = n1
      & sum(n3,n0) = n3
      & sum(n3,n1) = n4
      & sum(n3,n2) = n5
      & sum(n3,n3) = n6
      & sum(n3,n4) = n7
      & sum(n3,n5) = n8
      & sum(n3,n6) = n9
      & sum(n3,n7) = n10
      & sum(n3,n8) = n11
      & sum(n3,n9) = n12
      & sum(n3,n10) = n13
      & sum(n3,n11) = n14
      & sum(n3,n12) = n15
      & sum(n3,n13) = n16
      & sum(n3,n14) = n17
      & sum(n3,n15) = n18
      & sum(n3,n16) = n19
      & sum(n3,n17) = n20
      & sum(n3,n18) = n0
      & sum(n3,n19) = n1
      & sum(n3,n20) = n2
      & sum(n4,n0) = n4
      & sum(n4,n1) = n5
      & sum(n4,n2) = n6
      & sum(n4,n3) = n7
      & sum(n4,n4) = n8
      & sum(n4,n5) = n9
      & sum(n4,n6) = n10
      & sum(n4,n7) = n11
      & sum(n4,n8) = n12
      & sum(n4,n9) = n13
      & sum(n4,n10) = n14
      & sum(n4,n11) = n15
      & sum(n4,n12) = n16
      & sum(n4,n13) = n17
      & sum(n4,n14) = n18
      & sum(n4,n15) = n19
      & sum(n4,n16) = n20
      & sum(n4,n17) = n0
      & sum(n4,n18) = n1
      & sum(n4,n19) = n2
      & sum(n4,n20) = n3
      & sum(n5,n0) = n5
      & sum(n5,n1) = n6
      & sum(n5,n2) = n7
      & sum(n5,n3) = n8
      & sum(n5,n4) = n9
      & sum(n5,n5) = n10
      & sum(n5,n6) = n11
      & sum(n5,n7) = n12
      & sum(n5,n8) = n13
      & sum(n5,n9) = n14
      & sum(n5,n10) = n15
      & sum(n5,n11) = n16
      & sum(n5,n12) = n17
      & sum(n5,n13) = n18
      & sum(n5,n14) = n19
      & sum(n5,n15) = n20
      & sum(n5,n16) = n0
      & sum(n5,n17) = n1
      & sum(n5,n18) = n2
      & sum(n5,n19) = n3
      & sum(n5,n20) = n4
      & sum(n6,n0) = n6
      & sum(n6,n1) = n7
      & sum(n6,n2) = n8
      & sum(n6,n3) = n9
      & sum(n6,n4) = n10
      & sum(n6,n5) = n11
      & sum(n6,n6) = n12
      & sum(n6,n7) = n13
      & sum(n6,n8) = n14
      & sum(n6,n9) = n15
      & sum(n6,n10) = n16
      & sum(n6,n11) = n17
      & sum(n6,n12) = n18
      & sum(n6,n13) = n19
      & sum(n6,n14) = n20
      & sum(n6,n15) = n0
      & sum(n6,n16) = n1
      & sum(n6,n17) = n2
      & sum(n6,n18) = n3
      & sum(n6,n19) = n4
      & sum(n6,n20) = n5
      & sum(n7,n0) = n7
      & sum(n7,n1) = n8
      & sum(n7,n2) = n9
      & sum(n7,n3) = n10
      & sum(n7,n4) = n11
      & sum(n7,n5) = n12
      & sum(n7,n6) = n13
      & sum(n7,n7) = n14
      & sum(n7,n8) = n15
      & sum(n7,n9) = n16
      & sum(n7,n10) = n17
      & sum(n7,n11) = n18
      & sum(n7,n12) = n19
      & sum(n7,n13) = n20
      & sum(n7,n14) = n0
      & sum(n7,n15) = n1
      & sum(n7,n16) = n2
      & sum(n7,n17) = n3
      & sum(n7,n18) = n4
      & sum(n7,n19) = n5
      & sum(n7,n20) = n6
      & sum(n8,n0) = n8
      & sum(n8,n1) = n9
      & sum(n8,n2) = n10
      & sum(n8,n3) = n11
      & sum(n8,n4) = n12
      & sum(n8,n5) = n13
      & sum(n8,n6) = n14
      & sum(n8,n7) = n15
      & sum(n8,n8) = n16
      & sum(n8,n9) = n17
      & sum(n8,n10) = n18
      & sum(n8,n11) = n19
      & sum(n8,n12) = n20
      & sum(n8,n13) = n0
      & sum(n8,n14) = n1
      & sum(n8,n15) = n2
      & sum(n8,n16) = n3
      & sum(n8,n17) = n4
      & sum(n8,n18) = n5
      & sum(n8,n19) = n6
      & sum(n8,n20) = n7
      & sum(n9,n0) = n9
      & sum(n9,n1) = n10
      & sum(n9,n2) = n11
      & sum(n9,n3) = n12
      & sum(n9,n4) = n13
      & sum(n9,n5) = n14
      & sum(n9,n6) = n15
      & sum(n9,n7) = n16
      & sum(n9,n8) = n17
      & sum(n9,n9) = n18
      & sum(n9,n10) = n19
      & sum(n9,n11) = n20
      & sum(n9,n12) = n0
      & sum(n9,n13) = n1
      & sum(n9,n14) = n2
      & sum(n9,n15) = n3
      & sum(n9,n16) = n4
      & sum(n9,n17) = n5
      & sum(n9,n18) = n6
      & sum(n9,n19) = n7
      & sum(n9,n20) = n8
      & sum(n10,n0) = n10
      & sum(n10,n1) = n11
      & sum(n10,n2) = n12
      & sum(n10,n3) = n13
      & sum(n10,n4) = n14
      & sum(n10,n5) = n15
      & sum(n10,n6) = n16
      & sum(n10,n7) = n17
      & sum(n10,n8) = n18
      & sum(n10,n9) = n19
      & sum(n10,n10) = n20
      & sum(n10,n11) = n0
      & sum(n10,n12) = n1
      & sum(n10,n13) = n2
      & sum(n10,n14) = n3
      & sum(n10,n15) = n4
      & sum(n10,n16) = n5
      & sum(n10,n17) = n6
      & sum(n10,n18) = n7
      & sum(n10,n19) = n8
      & sum(n10,n20) = n9
      & sum(n11,n0) = n11
      & sum(n11,n1) = n12
      & sum(n11,n2) = n13
      & sum(n11,n3) = n14
      & sum(n11,n4) = n15
      & sum(n11,n5) = n16
      & sum(n11,n6) = n17
      & sum(n11,n7) = n18
      & sum(n11,n8) = n19
      & sum(n11,n9) = n20
      & sum(n11,n10) = n0
      & sum(n11,n11) = n1
      & sum(n11,n12) = n2
      & sum(n11,n13) = n3
      & sum(n11,n14) = n4
      & sum(n11,n15) = n5
      & sum(n11,n16) = n6
      & sum(n11,n17) = n7
      & sum(n11,n18) = n8
      & sum(n11,n19) = n9
      & sum(n11,n20) = n10
      & sum(n12,n0) = n12
      & sum(n12,n1) = n13
      & sum(n12,n2) = n14
      & sum(n12,n3) = n15
      & sum(n12,n4) = n16
      & sum(n12,n5) = n17
      & sum(n12,n6) = n18
      & sum(n12,n7) = n19
      & sum(n12,n8) = n20
      & sum(n12,n9) = n0
      & sum(n12,n10) = n1
      & sum(n12,n11) = n2
      & sum(n12,n12) = n3
      & sum(n12,n13) = n4
      & sum(n12,n14) = n5
      & sum(n12,n15) = n6
      & sum(n12,n16) = n7
      & sum(n12,n17) = n8
      & sum(n12,n18) = n9
      & sum(n12,n19) = n10
      & sum(n12,n20) = n11
      & sum(n13,n0) = n13
      & sum(n13,n1) = n14
      & sum(n13,n2) = n15
      & sum(n13,n3) = n16
      & sum(n13,n4) = n17
      & sum(n13,n5) = n18
      & sum(n13,n6) = n19
      & sum(n13,n7) = n20
      & sum(n13,n8) = n0
      & sum(n13,n9) = n1
      & sum(n13,n10) = n2
      & sum(n13,n11) = n3
      & sum(n13,n12) = n4
      & sum(n13,n13) = n5
      & sum(n13,n14) = n6
      & sum(n13,n15) = n7
      & sum(n13,n16) = n8
      & sum(n13,n17) = n9
      & sum(n13,n18) = n10
      & sum(n13,n19) = n11
      & sum(n13,n20) = n12
      & sum(n14,n0) = n14
      & sum(n14,n1) = n15
      & sum(n14,n2) = n16
      & sum(n14,n3) = n17
      & sum(n14,n4) = n18
      & sum(n14,n5) = n19
      & sum(n14,n6) = n20
      & sum(n14,n7) = n0
      & sum(n14,n8) = n1
      & sum(n14,n9) = n2
      & sum(n14,n10) = n3
      & sum(n14,n11) = n4
      & sum(n14,n12) = n5
      & sum(n14,n13) = n6
      & sum(n14,n14) = n7
      & sum(n14,n15) = n8
      & sum(n14,n16) = n9
      & sum(n14,n17) = n10
      & sum(n14,n18) = n11
      & sum(n14,n19) = n12
      & sum(n14,n20) = n13
      & sum(n15,n0) = n15
      & sum(n15,n1) = n16
      & sum(n15,n2) = n17
      & sum(n15,n3) = n18
      & sum(n15,n4) = n19
      & sum(n15,n5) = n20
      & sum(n15,n6) = n0
      & sum(n15,n7) = n1
      & sum(n15,n8) = n2
      & sum(n15,n9) = n3
      & sum(n15,n10) = n4
      & sum(n15,n11) = n5
      & sum(n15,n12) = n6
      & sum(n15,n13) = n7
      & sum(n15,n14) = n8
      & sum(n15,n15) = n9
      & sum(n15,n16) = n10
      & sum(n15,n17) = n11
      & sum(n15,n18) = n12
      & sum(n15,n19) = n13
      & sum(n15,n20) = n14
      & sum(n16,n0) = n16
      & sum(n16,n1) = n17
      & sum(n16,n2) = n18
      & sum(n16,n3) = n19
      & sum(n16,n4) = n20
      & sum(n16,n5) = n0
      & sum(n16,n6) = n1
      & sum(n16,n7) = n2
      & sum(n16,n8) = n3
      & sum(n16,n9) = n4
      & sum(n16,n10) = n5
      & sum(n16,n11) = n6
      & sum(n16,n12) = n7
      & sum(n16,n13) = n8
      & sum(n16,n14) = n9
      & sum(n16,n15) = n10
      & sum(n16,n16) = n11
      & sum(n16,n17) = n12
      & sum(n16,n18) = n13
      & sum(n16,n19) = n14
      & sum(n16,n20) = n15
      & sum(n17,n0) = n17
      & sum(n17,n1) = n18
      & sum(n17,n2) = n19
      & sum(n17,n3) = n20
      & sum(n17,n4) = n0
      & sum(n17,n5) = n1
      & sum(n17,n6) = n2
      & sum(n17,n7) = n3
      & sum(n17,n8) = n4
      & sum(n17,n9) = n5
      & sum(n17,n10) = n6
      & sum(n17,n11) = n7
      & sum(n17,n12) = n8
      & sum(n17,n13) = n9
      & sum(n17,n14) = n10
      & sum(n17,n15) = n11
      & sum(n17,n16) = n12
      & sum(n17,n17) = n13
      & sum(n17,n18) = n14
      & sum(n17,n19) = n15
      & sum(n17,n20) = n16
      & sum(n18,n0) = n18
      & sum(n18,n1) = n19
      & sum(n18,n2) = n20
      & sum(n18,n3) = n0
      & sum(n18,n4) = n1
      & sum(n18,n5) = n2
      & sum(n18,n6) = n3
      & sum(n18,n7) = n4
      & sum(n18,n8) = n5
      & sum(n18,n9) = n6
      & sum(n18,n10) = n7
      & sum(n18,n11) = n8
      & sum(n18,n12) = n9
      & sum(n18,n13) = n10
      & sum(n18,n14) = n11
      & sum(n18,n15) = n12
      & sum(n18,n16) = n13
      & sum(n18,n17) = n14
      & sum(n18,n18) = n15
      & sum(n18,n19) = n16
      & sum(n18,n20) = n17
      & sum(n19,n0) = n19
      & sum(n19,n1) = n20
      & sum(n19,n2) = n0
      & sum(n19,n3) = n1
      & sum(n19,n4) = n2
      & sum(n19,n5) = n3
      & sum(n19,n6) = n4
      & sum(n19,n7) = n5
      & sum(n19,n8) = n6
      & sum(n19,n9) = n7
      & sum(n19,n10) = n8
      & sum(n19,n11) = n9
      & sum(n19,n12) = n10
      & sum(n19,n13) = n11
      & sum(n19,n14) = n12
      & sum(n19,n15) = n13
      & sum(n19,n16) = n14
      & sum(n19,n17) = n15
      & sum(n19,n18) = n16
      & sum(n19,n19) = n17
      & sum(n19,n20) = n18
      & sum(n20,n0) = n20
      & sum(n20,n1) = n0
      & sum(n20,n2) = n1
      & sum(n20,n3) = n2
      & sum(n20,n4) = n3
      & sum(n20,n5) = n4
      & sum(n20,n6) = n5
      & sum(n20,n7) = n6
      & sum(n20,n8) = n7
      & sum(n20,n9) = n8
      & sum(n20,n10) = n9
      & sum(n20,n11) = n10
      & sum(n20,n12) = n11
      & sum(n20,n13) = n12
      & sum(n20,n14) = n13
      & sum(n20,n15) = n14
      & sum(n20,n16) = n15
      & sum(n20,n17) = n16
      & sum(n20,n18) = n17
      & sum(n20,n19) = n18
      & sum(n20,n20) = n19
      & ( X0 = n0
        | X0 = n1
        | X0 = n2
        | X0 = n3
        | X0 = n4
        | X0 = n5
        | X0 = n6
        | X0 = n7
        | X0 = n8
        | X0 = n9
        | X0 = n10
        | X0 = n11
        | X0 = n12
        | X0 = n13
        | X0 = n14
        | X0 = n15
        | X0 = n16
        | X0 = n17
        | X0 = n18
        | X0 = n19
        | X0 = n20 )
      & ( Y0 = n0
        | Y0 = n1
        | Y0 = n2
        | Y0 = n3
        | Y0 = n4
        | Y0 = n5
        | Y0 = n6
        | Y0 = n7
        | Y0 = n8
        | Y0 = n9
        | Y0 = n10
        | Y0 = n11
        | Y0 = n12
        | Y0 = n13
        | Y0 = n14
        | Y0 = n15
        | Y0 = n16
        | Y0 = n17
        | Y0 = n18
        | Y0 = n19
        | Y0 = n20 )
      & X1 = sum(sum(pred(X0),succ(Y0)),sum(pred(Y0),succ(X0)))
      & Y1 = sum(sum(pred(X0),succ(X0)),sum(pred(Y0),succ(Y0)))
      & X2 = sum(sum(pred(X1),succ(Y1)),sum(pred(Y1),succ(X1)))
      & Y2 = sum(sum(pred(X1),succ(X1)),sum(pred(Y1),succ(Y1)))
      & X3 = sum(sum(pred(X2),succ(Y2)),sum(pred(Y2),succ(X2)))
      & Y3 = sum(sum(pred(X2),succ(X2)),sum(pred(Y2),succ(Y2)))
      & X4 = sum(sum(pred(X3),succ(Y3)),sum(pred(Y3),succ(X3)))
      & Y4 = sum(sum(pred(X3),succ(X3)),sum(pred(Y3),succ(Y3)))
      & X5 = sum(sum(pred(X4),succ(Y4)),sum(pred(Y4),succ(X4)))
      & Y5 = sum(sum(pred(X4),succ(X4)),sum(pred(Y4),succ(Y4)))
      & X6 = sum(sum(pred(X5),succ(Y5)),sum(pred(Y5),succ(X5)))
      & Y6 = sum(sum(pred(X5),succ(X5)),sum(pred(Y5),succ(Y5)))
      & X7 = sum(sum(pred(X6),succ(Y6)),sum(pred(Y6),succ(X6)))
      & Y7 = sum(sum(pred(X6),succ(X6)),sum(pred(Y6),succ(Y6)))
      & X8 = sum(sum(pred(X7),succ(Y7)),sum(pred(Y7),succ(X7)))
      & Y8 = sum(sum(pred(X7),succ(X7)),sum(pred(Y7),succ(Y7)))
      & X9 = sum(sum(pred(X8),succ(Y8)),sum(pred(Y8),succ(X8)))
      & Y9 = sum(sum(pred(X8),succ(X8)),sum(pred(Y8),succ(Y8)))
      & X10 = sum(sum(pred(X9),succ(Y9)),sum(pred(Y9),succ(X9)))
      & Y10 = sum(sum(pred(X9),succ(X9)),sum(pred(Y9),succ(Y9)))
      & X11 = sum(sum(pred(X10),succ(Y10)),sum(pred(Y10),succ(X10)))
      & Y11 = sum(sum(pred(X10),succ(X10)),sum(pred(Y10),succ(Y10)))
      & X12 = sum(sum(pred(X11),succ(Y11)),sum(pred(Y11),succ(X11)))
      & Y12 = sum(sum(pred(X11),succ(X11)),sum(pred(Y11),succ(Y11)))
      & X13 = sum(sum(pred(X12),succ(Y12)),sum(pred(Y12),succ(X12)))
      & Y13 = sum(sum(pred(X12),succ(X12)),sum(pred(Y12),succ(Y12)))
      & X14 = sum(sum(pred(X13),succ(Y13)),sum(pred(Y13),succ(X13)))
      & Y14 = sum(sum(pred(X13),succ(X13)),sum(pred(Y13),succ(Y13)))
      & X15 = sum(sum(pred(X14),succ(Y14)),sum(pred(Y14),succ(X14)))
      & Y15 = sum(sum(pred(X14),succ(X14)),sum(pred(Y14),succ(Y14)))
      & X16 = sum(sum(pred(X15),succ(Y15)),sum(pred(Y15),succ(X15)))
      & Y16 = sum(sum(pred(X15),succ(X15)),sum(pred(Y15),succ(Y15)))
      & X17 = sum(sum(pred(X16),succ(Y16)),sum(pred(Y16),succ(X16)))
      & Y17 = sum(sum(pred(X16),succ(X16)),sum(pred(Y16),succ(Y16)))
      & X18 = sum(sum(pred(X17),succ(Y17)),sum(pred(Y17),succ(X17)))
      & Y18 = sum(sum(pred(X17),succ(X17)),sum(pred(Y17),succ(Y17)))
      & X19 = sum(sum(pred(X18),succ(Y18)),sum(pred(Y18),succ(X18)))
      & Y19 = sum(sum(pred(X18),succ(X18)),sum(pred(Y18),succ(Y18)))
      & X20 = sum(sum(pred(X19),succ(Y19)),sum(pred(Y19),succ(X19)))
      & Y20 = sum(sum(pred(X19),succ(X19)),sum(pred(Y19),succ(Y19)))
      & ( X1 != Y1
        | X2 != Y2
        | X3 != Y3
        | X4 != Y4
        | X5 != Y5
        | X6 != Y6
        | X7 != Y7
        | X8 != Y8
        | X9 != Y9
        | X10 != Y10
        | X11 != Y11
        | X12 != Y12
        | X13 != Y13
        | X14 != Y14
        | X15 != Y15
        | X16 != Y16
        | X17 != Y17
        | X18 != Y18
        | X19 != Y19
        | X20 != Y20 )
      & n0 != n1
      & n0 != n2
      & n0 != n3
      & n0 != n4
      & n0 != n5
      & n0 != n6
      & n0 != n7
      & n0 != n8
      & n0 != n9
      & n0 != n10
      & n0 != n11
      & n0 != n12
      & n0 != n13
      & n0 != n14
      & n0 != n15
      & n0 != n16
      & n0 != n17
      & n0 != n18
      & n0 != n19
      & n0 != n20
      & n1 != n2
      & n1 != n3
      & n1 != n4
      & n1 != n5
      & n1 != n6
      & n1 != n7
      & n1 != n8
      & n1 != n9
      & n1 != n10
      & n1 != n11
      & n1 != n12
      & n1 != n13
      & n1 != n14
      & n1 != n15
      & n1 != n16
      & n1 != n17
      & n1 != n18
      & n1 != n19
      & n1 != n20
      & n2 != n3
      & n2 != n4
      & n2 != n5
      & n2 != n6
      & n2 != n7
      & n2 != n8
      & n2 != n9
      & n2 != n10
      & n2 != n11
      & n2 != n12
      & n2 != n13
      & n2 != n14
      & n2 != n15
      & n2 != n16
      & n2 != n17
      & n2 != n18
      & n2 != n19
      & n2 != n20
      & n3 != n4
      & n3 != n5
      & n3 != n6
      & n3 != n7
      & n3 != n8
      & n3 != n9
      & n3 != n10
      & n3 != n11
      & n3 != n12
      & n3 != n13
      & n3 != n14
      & n3 != n15
      & n3 != n16
      & n3 != n17
      & n3 != n18
      & n3 != n19
      & n3 != n20
      & n4 != n5
      & n4 != n6
      & n4 != n7
      & n4 != n8
      & n4 != n9
      & n4 != n10
      & n4 != n11
      & n4 != n12
      & n4 != n13
      & n4 != n14
      & n4 != n15
      & n4 != n16
      & n4 != n17
      & n4 != n18
      & n4 != n19
      & n4 != n20
      & n5 != n6
      & n5 != n7
      & n5 != n8
      & n5 != n9
      & n5 != n10
      & n5 != n11
      & n5 != n12
      & n5 != n13
      & n5 != n14
      & n5 != n15
      & n5 != n16
      & n5 != n17
      & n5 != n18
      & n5 != n19
      & n5 != n20
      & n6 != n7
      & n6 != n8
      & n6 != n9
      & n6 != n10
      & n6 != n11
      & n6 != n12
      & n6 != n13
      & n6 != n14
      & n6 != n15
      & n6 != n16
      & n6 != n17
      & n6 != n18
      & n6 != n19
      & n6 != n20
      & n7 != n8
      & n7 != n9
      & n7 != n10
      & n7 != n11
      & n7 != n12
      & n7 != n13
      & n7 != n14
      & n7 != n15
      & n7 != n16
      & n7 != n17
      & n7 != n18
      & n7 != n19
      & n7 != n20
      & n8 != n9
      & n8 != n10
      & n8 != n11
      & n8 != n12
      & n8 != n13
      & n8 != n14
      & n8 != n15
      & n8 != n16
      & n8 != n17
      & n8 != n18
      & n8 != n19
      & n8 != n20
      & n9 != n10
      & n9 != n11
      & n9 != n12
      & n9 != n13
      & n9 != n14
      & n9 != n15
      & n9 != n16
      & n9 != n17
      & n9 != n18
      & n9 != n19
      & n9 != n20
      & n10 != n11
      & n10 != n12
      & n10 != n13
      & n10 != n14
      & n10 != n15
      & n10 != n16
      & n10 != n17
      & n10 != n18
      & n10 != n19
      & n10 != n20
      & n11 != n12
      & n11 != n13
      & n11 != n14
      & n11 != n15
      & n11 != n16
      & n11 != n17
      & n11 != n18
      & n11 != n19
      & n11 != n20
      & n12 != n13
      & n12 != n14
      & n12 != n15
      & n12 != n16
      & n12 != n17
      & n12 != n18
      & n12 != n19
      & n12 != n20
      & n13 != n14
      & n13 != n15
      & n13 != n16
      & n13 != n17
      & n13 != n18
      & n13 != n19
      & n13 != n20
      & n14 != n15
      & n14 != n16
      & n14 != n17
      & n14 != n18
      & n14 != n19
      & n14 != n20
      & n15 != n16
      & n15 != n17
      & n15 != n18
      & n15 != n19
      & n15 != n20
      & n16 != n17
      & n16 != n18
      & n16 != n19
      & n16 != n20
      & n17 != n18
      & n17 != n19
      & n17 != n20
      & n18 != n19
      & n18 != n20
      & n19 != n20 ) )).

