%--------------------------------------------------------------------------
% File     : RNG004-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : X*Y = -X*-Y
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : R2 [MOW76]
%          : minuses.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.14 v3.2.0, 0.00 v3.1.0, 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.3.0, 0.17 v2.2.1, 0.56 v2.2.0, 0.57 v2.1.0, 0.50 v2.0.0
% Syntax   : Number of clauses     :   20 (   0 non-Horn;   9 unit;  14 RR)
%            Number of atoms       :   53 (   3 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   71 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(a_times_b,hypothesis,
    ( product(a,b,c) )).

cnf(a_inverse_times_b_inverse,hypothesis,
    ( product(additive_inverse(a),additive_inverse(b),d) )).

cnf(prove_c_equals_d,negated_conjecture,
    (  c != d )).

%--------------------------------------------------------------------------
