%------------------------------------------------------------------------------
% File     : SET803+4 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Set Theory (Order relations)
% Problem  : Two different maximal elements implies no greatest element
% Version  : [Pas05] axioms.
% English  :

% Refs     : [Pas05] Pastre (2005), Email to G. Sutcliffe
% Source   : [Pas05]
% Names    :

% Status   : Theorem
% Rating   : 0.08 v3.3.0, 0.00 v3.2.0
% Syntax   : Number of formulae    :   11 (   0 unit)
%            Number of atoms       :   61 (   4 equality)
%            Maximal formula depth :   12 (   9 average)
%            Number of connectives :   52 (   2 ~  ;   1  |;  23  &)
%                                         (  10 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   13 (   0 propositional; 2-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   51 (   0 singleton;  50 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
%----Include order relation axioms
include('Axioms/SET006+3.ax').
%------------------------------------------------------------------------------
fof(thIV15,conjecture,(
    ! [R,E] : 
      ( order(R,E)
     => ! [M1,M2] : 
          ( ( max(M1,R,E)
            & max(M2,R,E)
            & M1 != M2 )
         => ~ ( ? [M] : greatest(M,R,E) ) ) ) )).

%------------------------------------------------------------------------------
