%--------------------------------------------------------------------------
% File     : TOP009-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Topology
% Problem  : If Y is open in X, and A is open in Y, then A is open in X
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 4 [WM89]

% Status   : Satisfiable
% Rating   : 0.83 v3.2.0, 0.80 v3.1.0, 0.86 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :  112 (  23 non-Horn;   3 unit; 107 RR)
%            Number of atoms       :  339 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   39 (   5 constant; 0-5 arity)
%            Number of variables   :  357 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
cnf(problem_4_120,negated_conjecture,
    ( open(cy,cx,ct) )).

cnf(problem_4_121,negated_conjecture,
    ( open(a,cy,subspace_topology(cx,ct,cy)) )).

cnf(problem_4_122,negated_conjecture,
    ( ~ open(a,cx,ct) )).

%--------------------------------------------------------------------------
